Hi Gabriel!
you can resolve a great problem that we user with edge have with all os 5.0, because all thi os don't work with edge, now explain better, if i install an os 5.0 i don't have a browser and don't can use BIS but only WAP!

HELP ME!!!
OR
MAKE A NEW HYBRID WITH OLD RADIO 173 _(THAT I THINK are fantastic in your version 3.x